Summary: A general-purpose resource monitoring system.
Name: mon
Version: 0.38.18
Release: 10
Source0: ftp://ftp.kernel.org/pub/software/admin/mon/mon-%{version}.tar.bz2
Source1: mon.cf
Patch0: mon-0.38.18-init.patch
Patch1: mon-0.38.15-cgi.patch
Url: http://www.kernel.org/software/mon/
Copyright: GPL
Group: Applications/System
Buildroot: %{_tmppath}/%{name}-root
Requires: perl-Mon
Requires: perl-Period
Requires: perl-TimeDate
Requires: perl-Time-HiRes
Requires: perl-Convert-BER 
Requires: perl-Net-Telnet
PreReq: /sbin/chkconfig, /sbin/service 

%description
Mon is a general-purpose resource monitoring system.  It can be used
to monitor network service availability, server problems,
environmental conditions (i.e., the temperature in a room) or other
things. Mon can be used to test the condition and/or to trigger an
action upon failure of the condition.  Mon keeps the testing and
action-taking tasks as separate, stand-alone programs.

Mon is very extensible.  Monitors and alerts are not a part of mon, but
the distribution comes with a handful of them to get you started. This
means that if a new service needs monitoring, or if a new alert is
required, the mon server will not need to be changed.

%prep
%setup0 -q 
%patch0 -p1 -b .init
%patch1 -p0 -b .cgi

%build
make all -C mon.d

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 mon $RPM_BUILD_ROOT%{_bindir}
install -m 755 clients/moncmd $RPM_BUILD_ROOT%{_bindir}
install -m 755 clients/monshow $RPM_BUILD_ROOT%{_bindir}
install -m 755 clients/skymon/skymon $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 644 doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mon/alert.d
install -m 755 alert.d/* $RPM_BUILD_ROOT%{_libdir}/mon/alert.d

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/mon/state.d
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/mon/log.d

mkdir -p $RPM_BUILD_ROOT%{_libdir}/mon/mon.d
install -m 755 mon.d/* $RPM_BUILD_ROOT%{_libdir}/mon/mon.d

chmod 644 $RPM_BUILD_ROOT%{_libdir}/mon/mon.d/{Makefile,*.c}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mon
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mon/mon.cf
install -m 644 etc/auth.cf $RPM_BUILD_ROOT%{_sysconfdir}/mon/auth.cf
touch $RPM_BUILD_ROOT%{_sysconfdir}/mon/userfile
chmod 600 $RPM_BUILD_ROOT%{_sysconfdir}/mon/userfile


cp -f etc/S99mon $RPM_BUILD_ROOT/etc/rc.d/init.d/mon

mkdir -p $RPM_BUILD_ROOT/var/run/mon.pid/

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin/
install -m 755 cgi-bin/mon.cgi $RPM_BUILD_ROOT%{_localstatedir}/www/cgi-bin/


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mon

%preun
if [ "$1" = "0" ]; then
	/sbin/service mon stop > /dev/null 2>&1
	/sbin/chkconfig --del mon
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service mon condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS COPYRIGHT README INSTALL TODO doc/README.* 
%doc etc/*.cf etc/example.m4 clients/skymon/* utils/* mon.lsm
%config %{_sysconfdir}/mon/*
%config %{_sysconfdir}/rc.d/init.d/mon 
%{_mandir}/*/* 
%{_localstatedir}/www/cgi-bin/mon.cgi
%{_bindir}/mon
%{_bindir}/monshow
%{_bindir}/moncmd
%{_bindir}/skymon          
%{_libdir}/mon
%dir %{_localstatedir}/run/mon/state.d
%dir %{_localstatedir}/run/mon/log.d

%changelog
* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- use %%{_tmppath}

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed condrestart so that it doesn;t return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using /sbin/service to start inits

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq, now PreReq's /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- PreReq /sbin/chkconfig , initscripts >= 5.20
- fixed post, postun, preun sections
- init.d script in correct location
- init.d script now has condrestart

* Fri Jun 2 2000 Tim Powers <timp@redhat.com>
- no longer placing things in /home, FHS compliant
- man pages in /usr/share/man, FHS compliant
- use chkconfig

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- updated to 0.38.18

* Tue Feb 15 2000 Tim Powers <timp@redhat.com>
- Requires: Mon should have been Requires: perl-Mon, fixed
- built for 6.2

* Mon Feb 14 2000 Andrew Anderson <andrew@redhat.com>
- point the cgi script to localhost
- sample config file cleanup

* Sat Feb 12 2000 Andrew Anderson <andrew@redhat.com>
- Re-introduced dependancy for Mon
- cleaned up init script
- fix bogus /var/run/mon.pid directory

* Thu Nov 18 1999 Tim Powers <timp@redhat.com>
- updated to 0.38.15
- removed Requires: perl-Mon

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- fix bogus requires.

* Fri Jul 23 1999 Cristian Gafton <gafton@redhat.com>
- make sure we don't end up owning dirs that aren't ours
- updated the Requires lines

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- updated source to 0.38.13
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- pre release is out, but stayed with stable one

* Wed Sep 09 1998 Michael Maher <mike@redhat.com>
- built package
